Bug 226683 - Version mismatch between curlFtpFs and curl
Version mismatch between curlFtpFs and curl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 17:11 EST by Peter Leese
Modified: 2013-07-02 19:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Leese 2007-01-31 17:11:29 EST
Description of problem:

I use curlFtpFs to mount a virtual filesystem from my FTP server and attempt to
play a MP3 file on said filesystem (using madplay or mplayer - not important).
Either application just locks up. Possible cause is mismatch versions between
curlFtpFs version 0.9 and curl version 7.15.5

See curlftpfs website http://curlftpfs.sourceforge.net/

Quote from site:

<snip>
22-Jan-2007 - Bad libcurl versions

The recommended version of libcurl is 7.15.4!

A lot of users are reporting problems with CurlFtpFS. We tracked this problems
to bugs in libcurl versions 7.15.5 and 7.16.0. Since we depend on 7.15.2 or
later and versions 7.15.2 and 7.15.3 have a bug that makes CurlFtpFS do not
reuse the connection all the time, the current recommended version of libcurl is
either 7.15.4 or the development branch. 
</snip>

So is it possible to update to curl 7.16.1? release 29th Jan which hopefully
fixes the problems?
Comment 1 David Anderson 2007-01-31 17:26:22 EST
Hello Peter,

It's not clear to me that you have this bug (have you tried different 
combinations of curlftpfs options? e.g. disable EPASV, etc.)...

... but in any case, you have filed it against the wrong component. I'm 
reassigning this to "curl" (which has a different packager than me).

David
Comment 2 Daniel Stenberg 2007-01-31 17:37:14 EST
Unless we get a bug report on something specific rather than "something doesn't
work", this is hard to address.
Comment 3 Peter Leese 2007-01-31 18:29:30 EST
OK, To be more specific:
Step 1: Download and build madplay version 0.15.2b (cant remember but probably
needs lame version 3.97) 
Step 1a: OR / AND download and build mplayer with mp3 support version 1.0rc1
Step 2: Install curlFtpFs via yum (and Fuse, etc)
Step 3: Make self member of "fuse" group (required by fusermount)
Step 4: Set up external ftp server with mp3 files on. I use a buffalo link station
Step 5: Create a mount point e.g. /home/peter/buffalo
Step 6: Run command curlftpfs guest:xxxx@buffalo.localnet/music /home/peter/buffalo
Step 7: Check mount point OK with ls /home/peter/buffalo... All OK
Step 8: Check copy works, copy file from /home/peter/buffalo... works OK
Step 9: Run command madplay /home/peter/buffalo/audio.mp3

madplay prints
MPEG Audio Decoder 0.15.2 (beta) - Copyright � 2000-2004 Robert Leslie et al.
Then nothing else happens (freezes) and no prompt is returned.
Running "top" from another bash shell shows that madplay & curlftpfs are neither
using much processing load.

Step 10: Try killing madplay with kill -9 as root, no luck.
Step 11: Try killing curlFtpFs with kill -9 ae root, great madplay exits with no
error message.
(Note) Its no a sound card problem because I can play the copied file in Step 8

OK repeat with mplayer, exactly the same, mplayer prints all usual stuff and
last line is
Playing /home/peter/buffalo/audio.mp3

But then freezes. Again kill -9 mplayer doesnt work. Only solution is kill -9 on
curlFtpFs as root.

Looks like bug in curlFtpFs, but according to  http://curlftpfs.sourceforge.net/
It could well be a bug in curl - havent investigated further as it looks like
others are having problems with curl 7.15.5 and curlFtpFs 0.9

So I suspect fix is to upgdare curl 7.15.5 to curl 7.16.1, I might have a go at
building curl 7.16.1 but not now and seeing if that fixes it but not now.
Comment 4 Jindrich Novy 2007-02-01 04:55:26 EST
Ok, I planned to release the 7.16.1 anyway along with other fixes I gathered in
rawhide.
Comment 5 Bug Zapper 2008-04-04 02:03:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:08:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.